%define name glista
%define version 0.4
%define release %mkrel 1

Summary:        Simple personal to-do list manager or task tracking tool
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Graphical desktop/GNOME
License:        GPLv3+
URL:            http://prematureoptimization.org/glista/
Source0:        http://glista.googlecode.com/files/glista-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  gtk2-devel libxml2-devel desktop-file-utils gnome-spell
Requires: gnome-spell
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes:  %name < %version

%description
Glista aims to be a very simple personal to-do list manager or task tracking 
tool that does what it's supposed to, and does not get in your way. The main 
focus of Glista is on staying a very simple tool.

Glista is based on the Gtk+ graphical toolkit, which means it will integrate 
best with the GNOME desktop and other Gtk+ based desktop environments, but 
will also run well on other environments such as KDE.

%description -l de
Glista ist ein einfacher persönlicher To-Do Listen Manager oder TASK Tracking Werkzeug.
Glista basiert auf GTK+ grafisches Toolkit ist besonders für Gnome und andere GTK+ 
basierende Desktop Umgebungen, läuft aber auch unter KDE-Umgebung. 

%prep
%setup -q


%build
%configure2_5x

%make 


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
desktop-file-install --vendor=""\
  --add-category=GTK \
  --add-category="X-MandrivaLinux-Office-Accessories"\
  --dir=$RPM_BUILD_ROOT/%{_datadir}/applications \
  $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop


mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart
desktop-file-install --vendor=""\
  --add-category=GTK \
  --add-category=TrayIcon \
  --add-only-show-in=GNOME \
  --add-category="X-MandrivaLinux-Office-Accessories"\
  --dir=$RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart \
  ui/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}


%postun
%{clean_menus}


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%{_bindir}/glista
%{_datadir}/applications/glista.desktop
%{_datadir}/glista/
%{_sysconfdir}/xdg/autostart/glista.desktop


%changelog
* Thu Oct 08 2009 slick50 <lxgator@gmail.com> 0.4-1pclos2010
- initial build
